diff options
-rw-r--r-- | docs/en/user/configuring_mobile.rst | 13 | ||||
-rw-r--r-- | scripts/require.sh | 2 |
2 files changed, 14 insertions, 1 deletions
diff --git a/docs/en/user/configuring_mobile.rst b/docs/en/user/configuring_mobile.rst new file mode 100644 index 00000000..2bcf3bcb --- /dev/null +++ b/docs/en/user/configuring_mobile.rst | |||
@@ -0,0 +1,13 @@ | |||
1 | Configuring Mobile Apps to Work With wallabag.it | ||
2 | ================================================ | ||
3 | |||
4 | Steps to configure the app | ||
5 | --------------------------- | ||
6 | |||
7 | - First *create a new client* in the ``Developer`` section. The name of your app doesn't matter as much as the ``Client ID`` and the ``Client secret``. Write these two values down. | ||
8 | - When you download a mobile app, it's going to ask for the server address of the hosted wallabag instance. With wallabag.it that is: ``https://app.wallabag.it``. | ||
9 | - It's also going to ask for the aforementioned ``Client ID`` and ``secret``. Please insert those in the text fields, when asked. | ||
10 | - Lastly you need to provide your ``username`` and ``password``. These are the same credentials you use to login in to wallabag.it. | ||
11 | |||
12 | Please also have a look at `Android <android>`_. Especially the section on *known limitations*. | ||
13 | |||
diff --git a/scripts/require.sh b/scripts/require.sh index ddfb3dd2..c48ab936 100644 --- a/scripts/require.sh +++ b/scripts/require.sh | |||
@@ -5,5 +5,5 @@ if [ ! -f composer.phar ]; then | |||
5 | echo "composer.phar not found, we'll see if composer is installed globally." | 5 | echo "composer.phar not found, we'll see if composer is installed globally." |
6 | command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; } | 6 | command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; } |
7 | else | 7 | else |
8 | COMPOSER_COMMAND='composer.phar' | 8 | COMPOSER_COMMAND='./composer.phar' |
9 | fi | 9 | fi |